NSX-T Data Center REST API

List route controllers

List route controllers

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/route-controllers
Request Headers:
n/a
Query Parameters:
RouteControllerListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/route-controllers

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerListResult+

Example Response:

{ "results": [ { "virtual_network_appliance_cluster_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1", "ha_mode": "ACTIVE_STANDBY", "resource_type": "RouteController", "id": "RC-1", "display_name": "RC-1", "path": "/infra/route-controllers/RC-1", "relative_path": "RC-1", "parent_path": "/infra", "remote_path": "", "unique_id": "ab749d8f-fef9-4eb2-9ea6-40a898707006", "realization_id": "ab749d8f-fef9-4eb2-9ea6-40a898707006", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762477660705, "_create_user": "admin", "_last_modified_time": 1762477660705, "_last_modified_user": "admin", "_revision": 0 }, { "virtual_network_appliance_cluster_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/vnac-01", "ha_mode": "ACTIVE_STANDBY", "resource_type": "RouteController", "id": "rc-01", "display_name": "rc-01", "path": "/infra/route-controllers/rc-01", "relative_path": "rc-01", "parent_path": "/infra", "remote_path": "", "unique_id": "0e7dd7b4-93cf-4885-a29b-e8edeb5b8c09", "realization_id": "0e7dd7b4-93cf-4885-a29b-e8edeb5b8c09", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762555232911, "_create_user": "admin", "_last_modified_time": 1762555232911, "_last_modified_user": "admin", "_revision": 0 } ], "result_count": 2, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

policy_route_controller

Additional Errors: